require "util"
--sign entity
local entity={
    type = "tree",
    name = "sign-post",
    icon = "__SignPosts__/sign-post-icon.png",
    flags = {"placeable-neutral"},
    minable =
    {
        mining_time = 1,
        result = "sign-post",
        count = 1
    },
    max_health = 20,
    collision_mask={},
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    pictures =
    {
      filename = "__SignPosts__/sign-post-image.png",
      priority = "extra-high",
      width = 46,
      height = 33,
      shift = {0.3, 0}
    }
}
--item for it
local item=  {
    type = "item",
    name = "sign-post",
    icon = "__SignPosts__/sign-post-icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "energy-pipe-distribution",
    order = "a[energy]-a[sign-post]",
    place_result = "sign-post",
    stack_size = 50
    }
--recipe to make
local recipe=  {
    type = "recipe",
    name = "sign-post",
    enabled = false,
    ingredients =
    {
      {"raw-wood", 1},
      {"wood", 2},
      {"coal", 1},
    },
    result = "sign-post"
  }
--tech to unlock
local tech={
    type = "technology",
    name = "sign-posts",
    icon =  "__SignPosts__/sign-post-icon.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "sign-post"
      }
    },
    prerequisites = {},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 20
    },
    order = "a-d-a",
  }
data:extend({entity,item,recipe,tech})
